relaxngcc.grammar

## Class DataPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.DataPattern

    public class DataPattern
    extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

Fields
`java.lang.String` `alias`
`org.xml.sax.Locator` `locator`
`Datatype` `type`

### Constructor Summary

Constructors
Constructor and Description
`DataPattern(ParserRuntime rt, org.xml.sax.Locator loc, Datatype type_, java.lang.String alias_)`

### Method Summary

Methods
`java.lang.Object` `apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    public final Datatype type

#### alias

    public final java.lang.String alias

#### locator

    public final org.xml.sax.Locator locator

### Constructor Detail

#### DataPattern

    public DataPattern(ParserRuntime rt,
               org.xml.sax.Locator loc,
               Datatype type_,
               java.lang.String alias_)

### Method Detail

#### apply

    public java.lang.Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`